title 正在执行烧录程序
set /p target=<burn_target.txt
set /p check=<burn_check.txt
if not defined target (
    cls
    echo 错误：target未定义
    pause
    call main_exit.cmd
)
if not defined check set check=0
del $oset.reg /f /q
reg export "HKCU\Software\EasyBoot Systems\UltraISO\5.0" $oset.reg
REG DELETE HKCU\Software\Microsoft\Software\EasyBoot Systems\UltraISO\5.0\ /f >NUL
reg add "HKCU\Software\EasyBoot Systems\UltraISO\5.0" /v "Language" /t REG_SZ /d "2052" /f
reg add "HKCU\Software\EasyBoot Systems\UltraISO\5.0" /v "SoundEffect" /t REG_SZ /d "0" /f
reg add "HKCU\Software\EasyBoot Systems\UltraISO\5.0" /v "USBBootPart" /t REG_SZ /d "0" /f
reg add "HKCU\Software\EasyBoot Systems\UltraISO\5.0" /v "UPlusV2Level" /t REG_SZ /d "3" /f
reg add "HKCU\Software\EasyBoot Systems\UltraISO\5.0" /v "USBMode" /t REG_SZ /d "4" /f
reg add "HKCU\Software\EasyBoot Systems\UltraISO\5.0" /v "UseSkins" /t REG_SZ /d "1" /f
cls
echo.
echo. 
echo                  一般情况下，您无需再更改其他设置
echo                                请点击“写入”按钮开始写入
echo                                        写入完成之后请点击“返回”
echo.
echo.
echo                  =================================================
echo                  自行更改默认配置导致的后果自负！ 5s后显示制作界面
echo                  =================================================
echo.
echo.
echo.
ping 127.0.0.1 -n 6 >nul 2>&1
core\UltraISO\UltraISO.exe -input %target% -writeusb
rem 恢复系统原有UI设置，不影响安装UI，弹出虚拟光驱，并删除中间文件
REG DELETE "HKCU\Software\EasyBoot Systems\UltraISO\5.0" /f >NUL
%windir%\system32\taskkill /im UltraISO.exe
regedit /s $oset.reg
"%cd%\drivers\ISOCMD.exe" -EJECT 0:
del $oset.reg /f /q
del /f /q "%~dp0Upath.txt"
for %%1 in (Z Y X W V T S R Q P O N M L K J I H G F E D C U) do if exist %%1:\Edgeless\version.txt echo %%1>"%~dp0Upath.txt"
set /p u=<"%~dp0Upath.txt"

if defined u (
explorer %u%:\Edgeless\Resource
attrib +s +a +h +r %u%:\boot
attrib +s +a +h +r %u%:\efi
attrib +s +a +h +r %u%:\bootmgr
attrib +s +a +h +r %u%:\bootmgr.efi
ping -n 2 127.1>nul
start core\Tip.vbs
call main_exit.cmd
)
else 
(
if %check%==0 call main_exit.cmd
title 可能出现了一些错误
color 4f
cls
echo.
echo.
echo 警告：没有发现写入完成的启动盘！ 可能在制作过程中出现了故障！
echo 如果您的U盘内已经出现了启动文件，请忽略此消息
echo 报错信息：（提交bug时请提供以下信息）
echo.
echo U:%u% key:%key% target:%target% check:%check%
dir
pause
color 3f
cls
call main_home.cmd
)